Fortinet Forum
The Forums are a place to find answers on a range of Fortinet products from peers and product experts.
EricG1793
New Contributor

5.0.13 vs 5.2.7

We have an FG600C, part number P08908-02, BIOS revision 04000023, currently running 5.0.12. We RMA'd our last FG600C because of an issue with whatever older BIOS it had that caused the unit to lock up during operation, and not boot after a graceful reboot, necessitating a hard reboot. The new unit, running 5.0.12, hasn't locked up, but it did have the symptom of all interfaces showing as up on the GUI, and the throughput of each interface showing astronomical amounts. A graceful reboot solved the issue... for now.

 

I'd really like to do whatever upgrade will ensure reliability. I like the fact that 5.0.13 just came out and the release notes state "no bugs." But is the BIOS still an issue? I'm scared of 5.2 but I'd like to think that enough bugs have been worked out in 5.2.7, and the known issues in the release notes don't seem to be a deal breaker.

 

FortiNet support recommended upgrading to 5.2.6 several weeks ago and the boss hasn't approved any upgrade yet, but I figured I'd ask you all for real-world experience.

 

Thanks for any advice you can give!

3 REPLIES 3
ede_pfau
Esteemed Contributor III

You've followed this thread so still the advice holds to install the special builds for v5.0 and v5.2. These are available through Customer Service. If you contact them you could ask if the fix has been incorporated in v5.2.7 and v5.0.13.


Ede

"Kernel panic: Aiee, killing interrupt handler!"
EricG1793

They were all set to give me the special 5.0.12, but their disclaimer to that was they wouldn't support it... which didn't sound good to us. Their recommendation was that or 5.2.6. I guess I'll go 5.2.7 unless there are any red flags that anyone's discovered.

ede_pfau
Esteemed Contributor III

I've installed special build 8408 (v5.0.12) 229 days ago and all is running smoothly and stable. Usually, at half of this uptime the unit would lock up because of memory leaks. From my point of view: recommended, esp. if you don't want to re-model your configuration for the new features in v5.2.

And you'd have to get confirmation from support that v5.2.7 (regular) contains this bug fix.


Ede

"Kernel panic: Aiee, killing interrupt handler!"